# Track Delta Order Status

## Get Delta Order Auction Status

<mark style="color:blue;">`GET`</mark> `https://api.paraswap.io/delta/orders/:orderId`

This endpoint enables users to retrieve real-time details of a specific auction, ensuring transparency and efficient execution monitoring.

{% tabs %}
{% tab title="200 Successful Get Order Response." %}

```json
{
  "id": "57165af8-eee8-408e-b8e8-86cc7f5c9f5c",
  "deltaVersion": "2.0",
  "status": "EXECUTED",
  "user": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
  "order": {
    "owner": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
    "beneficiary": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
    "srcToken": "0x4200000000000000000000000000000000000006",
    "destToken": "0xfde4c96c8593536e31f229ea8f37b2ada2699bb2",
    "srcAmount": "500000000000000",
    "destAmount": "2140607",
    "expectedAmount": "2151364",
    "kind": 0,
    "metadata": "0x",
    "deadline": 1757371581,
    "nonce": "1757367983280",
    "partnerAndFee": "90631063861114836560958097440945986548822432573276877133894239693005947666432",
    "permit": "0x",
    "bridge": {
      "protocolSelector": "0x21eaa4cd",
      "destinationChainId": 10,
      "outputToken": "0x94b008aa00579c1307b0ef2c499ad98a8ce58e58",
      "scalingFactor": 0,
      "protocolData": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001490"
    }
  },
  "orderHash": "0x079ea5b71361f8140259f8cf3844f7a29bb310c1cf8f8688bb5e9f40a688efcd",
  "chainId": 8453,
  "partner": "paraswap.io",
  "expiresAt": "2025-09-08T22:46:21.000Z",
  "createdAt": "2025-09-08T21:46:40.398Z",
  "updatedAt": "2025-09-08T21:47:10.977Z",
  "partiallyFillable": false,
  "includeAgents": null,
  "excludeAgents": null,
  "bridgeMetadata": {
    "depositId": 4598367,
    "fillDeadline": 1757379701,
    "outputAmount": "2148676",
    "fillTx": "0x0043cf3ae9f69c6cc7098b4a5bc6454af90067a1a7c553900d20a2afe5dcf8e3"
  },
  "bridgeStatus": "filled",
  "referrerAddress": null,
  "type": "MARKET",
  "transactions": [
    {
      "id": "d7e43ea0-5254-4330-9e96-cb55b54ee546",
      "hash": "0x0cdd73270941d1a366c34340a2b77a51f56cc3b445f4a9f268fd12af9d6c16a7",
      "blockNumber": 35289330,
      "blockHash": "0xf141d321f442494a3caaeeb069ec58ce1de5ef17827841ae6d569334dcf0aef9",
      "gasUsed": 276385,
      "gasPrice": 2999412,
      "blobGasUsed": 0,
      "blobGasPrice": 0,
      "index": 155,
      "status": 1,
      "from": "0x2e5ef37ade8afb712b8be858fec7389fe32857e2",
      "to": "0x0000000000bbf5c5fd284e657f01bd000933c96d",
      "receivedAmount": "2152016",
      "receivedAmountUSD": 2.15,
      "spentAmount": "500000000000000",
      "spentAmountUSD": 2.16,
      "filledPercent": 10000,
      "protocolFee": "651",
      "partnerFee": "0",
      "agent": "laita",
      "orderId": "57165af8-eee8-408e-b8e8-86cc7f5c9f5c",
      "bidId": "2081f754-9c72-4243-8557-9f3b9d6c90f6"
    }
  ]
}

```

{% endtab %}

{% tab title="400 Get Order Error" %}

```
{
  "error": "Validation failed with error"
}
```

{% endtab %}
{% endtabs %}

Available order statuses (`status` property)

| Status                  | Description                                                                                                                                                                                                                                                                                                                                                                                           |
| ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| NOT\_STARTED            | The initial state of an order when it enters the system. Orders in this state are waiting to be included in a batch auction. Orders that failed execution may also be reset to this state to retry.                                                                                                                                                                                                   |
| RUNNING                 | Orders that are actively being considered for execution in the current batch auction.                                                                                                                                                                                                                                                                                                                 |
| EXECUTING               | Orders that have been assigned to a winning agent who has been notified to execute them. This status indicates that on-chain execution is in progress. Orders remain in this state untiltransaction confirmation or timeout.                                                                                                                                                                          |
| INSUFFICIENT\_BALANCE   | This state indicates that an order has insufficient token balance during secondary validation. This happens when a user's token balance drops below the required amount after the initial validation. Since this is a non-terminal status, the system will periodically recheck the balance, allowing the order to proceed to auction if the user adds sufficient funds.                              |
| INSUFFICIENT\_ALLOWANCE | This state indicates that an order has insufficient token allowance during secondary validation. This occurs when a user's approval for the Delta contract is reduced or revoked after initial validation. Since this is a non-terminal status, the system will periodically recheck the allowance, allowing the order to proceed if the user reinstates or increases the approval.                   |
| INVALIDATED             | A terminal status indicating that an order has failed secondary validation before being included in an auction. This happens when orders undergo re-validation after initial posting but before auction inclusion. Orders may be invalidated due to changed conditions since initial validation, for example nonce was invalidated because other order with the same nonce has already been executed. |
| EXECUTED                | A terminal state indicating that the order has been successfully executed on-chain.                                                                                                                                                                                                                                                                                                                   |
| FAILED                  | A terminal state indicating that the order failed execution after multiple retry attempts.                                                                                                                                                                                                                                                                                                            |
| EXPIRED                 | A terminal state indicating that the order's deadline has passed without successful execution.                                                                                                                                                                                                                                                                                                        |

Available bridge statuses (`bridgeStatus` property, set only for cross-chain orders, `null` for same-chain orders).

| status   | Description                                                                                                                                                                                                                         |
| -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| PENDING  | The initial status for a bridged order after execution on the source chain. Indicates that the transaction has been successfully executed on the source chain, but hasn't been bridged yet.                                         |
| FILLED   | A terminal state indicating that the order has been filled on the destination chain. `fillTx` property in `bridgeMetadata` becomes available.                                                                                       |
| REFUNDED | A terminal state indicating that the order has been refunded on the source chain. The refunded token would be the one that was sent to bridge after the swap. `depositRefundTxHash` property in `bridgeMetadata` becomes available. |

## Get Delta Orders for a User

<mark style="color:blue;">`GET`</mark> `https://api.paraswap.io/delta/orders`

The Get Delta Orders for a User endpoint allows integrators to fetch all orders associated with a specific address, making it invaluable for dashboards, trade history tracking, and compliance purposes.

#### Query Parameters

<table><thead><tr><th width="299">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>userAddress<mark style="color:red;">*</mark></td><td>string</td><td>User Address. </td></tr><tr><td>chainId</td><td>string[]</td><td>Comma-separated list of chain ids (e.g. <code>chainId=1,8453</code></td></tr><tr><td>page</td><td>integer</td><td>Default: <code>1</code>.</td></tr><tr><td>limit</td><td>integer</td><td>Default: <code>100</code>.</td></tr><tr><td>type</td><td><code>LIMIT | MARKET</code> </td><td>Filters orders by types. </td></tr><tr><td>status</td><td><code>OrderStatus[]</code> </td><td>Comma-separated list of statuses described above. Other possible values are:<br>- <code>ACTIVE</code> - any non-terminal status from the list above<br>- <code>INACTIVE</code> - any terminal status from the list above <br>- <code>SUSPENDED</code> - orders that are suspended, but might be executed in future (<code>INSUFFICIENT_BALANCE</code>/<code>INSUFFICIENT_ALLOWANCE</code> statuses)</td></tr></tbody></table>

{% tabs %}
{% tab title="200 Successful Get Auction Response." %}

```json
[
  {
    "id": "57165af8-eee8-408e-b8e8-86cc7f5c9f5c",
    "deltaVersion": "2.0",
    "user": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
    "status": "EXECUTED",
    "order": {
      "owner": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
      "beneficiary": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
      "srcToken": "0x4200000000000000000000000000000000000006",
      "destToken": "0xfde4c96c8593536e31f229ea8f37b2ada2699bb2",
      "srcAmount": "500000000000000",
      "destAmount": "2140607",
      "expectedAmount": "2151364",
      "kind": 0,
      "metadata": "0x",
      "deadline": 1757371581,
      "nonce": "1757367983280",
      "partnerAndFee": "90631063861114836560958097440945986548822432573276877133894239693005947666432",
      "permit": "0x",
      "bridge": {
        "protocolSelector": "0x21eaa4cd",
        "destinationChainId": 10,
        "outputToken": "0x94b008aa00579c1307b0ef2c499ad98a8ce58e58",
        "scalingFactor": 0,
        "protocolData": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001490"
      }
    },
    "partiallyFillable": false,
    "orderHash": "0x079ea5b71361f8140259f8cf3844f7a29bb310c1cf8f8688bb5e9f40a688efcd",
    "chainId": 8453,
    "partner": "paraswap.io",
    "expiresAt": "2025-09-08T22:46:21.000Z",
    "createdAt": "2025-09-08T21:46:40.398Z",
    "updatedAt": "2025-09-08T21:47:10.977Z",
    "includeAgents": null,
    "excludeAgents": null,
    "bridgeMetadata": {
      "depositId": 4598367,
      "fillDeadline": 1757379701,
      "outputAmount": "2148676",
      "fillTx": "0x0043cf3ae9f69c6cc7098b4a5bc6454af90067a1a7c553900d20a2afe5dcf8e3"
    },
    "bridgeStatus": "filled",
    "referrerAddress": null,
    "type": "MARKET",
    "transactions": [
      {
        "id": "d7e43ea0-5254-4330-9e96-cb55b54ee546",
        "hash": "0x0cdd73270941d1a366c34340a2b77a51f56cc3b445f4a9f268fd12af9d6c16a7",
        "blockNumber": 35289330,
        "blockHash": "0xf141d321f442494a3caaeeb069ec58ce1de5ef17827841ae6d569334dcf0aef9",
        "gasUsed": 276385,
        "gasPrice": 2999412,
        "blobGasUsed": 0,
        "blobGasPrice": 0,
        "index": 155,
        "status": 1,
        "from": "0x2e5ef37ade8afb712b8be858fec7389fe32857e2",
        "to": "0x0000000000bbf5c5fd284e657f01bd000933c96d",
        "receivedAmount": "2152016",
        "receivedAmountUSD": 2.15,
        "spentAmount": "500000000000000",
        "spentAmountUSD": 2.16,
        "filledPercent": 10000,
        "protocolFee": "651",
        "partnerFee": "0",
        "agent": "laita",
        "orderId": "57165af8-eee8-408e-b8e8-86cc7f5c9f5c",
        "bidId": "2081f754-9c72-4243-8557-9f3b9d6c90f6"
      }
    ]
  },
  {
    "id": "7e6b0bf4-4b71-4b93-bd84-a6dac8d2911a",
    "deltaVersion": "2.0",
    "user": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
    "status": "EXECUTED",
    "order": {
      "owner": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
      "beneficiary": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
      "srcToken": "0x0b2c639c533813f4aa9d7837caf62653d097ff85",
      "destToken": "0x4200000000000000000000000000000000000006",
      "srcAmount": "6505099",
      "destAmount": "1491804070300740",
      "expectedAmount": "1499300573166573",
      "kind": 0,
      "metadata": "0x",
      "deadline": 1757085896,
      "nonce": "1757082301370",
      "partnerAndFee": "90631063861114836560958097440945986548822432573276877133894239693005947666432",
      "permit": "0x000000000000000000000000b0326588271f2531fbfc9a13d52d3da45be1d9560000000000000000000000000000000000bbf5c5fd284e657f01bd000933c96d000000000000000000000000000000000000000000000000000000000063428b0000000000000000000000000000000000000000000000000000000068bee73a000000000000000000000000000000000000000000000000000000000000001bf7e752fbd74f7e10cb3457fe444e4c9f33f0d339a6dd86f44ef7fae93ff630415610f6dd6997d3771e19f5864988c68be8e00a737efa950481412c3427af1b37",
      "bridge": {
        "protocolSelector": "0x21eaa4cd",
        "destinationChainId": 8453,
        "outputToken": "0x4200000000000000000000000000000000000006",
        "scalingFactor": 0,
        "protocolData": "0x000000000000000000000000924a9f036260ddd5808007e1aa95f08ed08aa56900000000000000000000000000000000000000000000000000000021864c4f46"
      }
    },
    "partiallyFillable": false,
    "orderHash": "0x1b07c0e7e7a98ec8e4d391b112465ad3343bd6b8cb420aa6a0d2e203ba3a5b96",
    "chainId": 10,
    "partner": "paraswap.io",
    "expiresAt": "2025-09-05T15:24:56.000Z",
    "createdAt": "2025-09-05T14:25:11.292Z",
    "updatedAt": "2025-09-05T14:25:43.733Z",
    "includeAgents": null,
    "excludeAgents": null,
    "bridgeMetadata": {
      "depositId": 3383355,
      "fillDeadline": 1757094011,
      "outputAmount": "1499413876136046",
      "fillTx": "0x84da86fd9449a2b8a4d2b6914879cc1ccc5267ec58696560b58f46c97655eb1c"
    },
    "bridgeStatus": "filled",
    "referrerAddress": null,
    "type": "MARKET",
    "transactions": [
      {
        "id": "d6efdcd5-d169-46f8-bfef-206d818ac483",
        "hash": "0xa1c0d6ac1d1f9ba354ac034b4c780f01a23a183d66e957daa486b13afc216855",
        "blockNumber": 140741769,
        "blockHash": "0x5cb55e493165cf1e7a2cce2349a700bcbabd7b9daf25aaed6528485bf38779bf",
        "gasUsed": 362017,
        "gasPrice": 1101208,
        "blobGasUsed": 0,
        "blobGasPrice": 0,
        "index": 15,
        "status": 1,
        "from": "0x2e5ef37ade8afb712b8be858fec7389fe32857e2",
        "to": "0x0000000000bbf5c5fd284e657f01bd000933c96d",
        "receivedAmount": "1499557863204788",
        "receivedAmountUSD": 6.52,
        "spentAmount": "6505099",
        "spentAmountUSD": 6.5,
        "filledPercent": 10000,
        "protocolFee": "257290038215",
        "partnerFee": "0",
        "agent": "laita",
        "orderId": "7e6b0bf4-4b71-4b93-bd84-a6dac8d2911a",
        "bidId": "b992925a-54a9-48bc-9dfd-cd159cd60d5f"
      }
    ]
  },
  {
    "id": "45545c6a-a657-48f3-b3ce-c3e9be2316d0",
    "deltaVersion": "2.0",
    "user": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
    "status": "EXECUTED",
    "order": {
      "owner": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
      "beneficiary": "0xb0326588271f2531fbfc9a13d52d3da45be1d956",
      "srcToken": "0x0b2c639c533813f4aa9d7837caf62653d097ff85",
      "destToken": "0x4200000000000000000000000000000000000006",
      "srcAmount": "2196554",
      "destAmount": "488746921607604",
      "expectedAmount": "491202936289050",
      "kind": 0,
      "metadata": "0x",
      "deadline": 1757082771,
      "nonce": "1757079183686",
      "partnerAndFee": "90631063861114836560958097440945986548822432573276877133894239693005947666432",
      "permit": "0x000000000000000000000000b0326588271f2531fbfc9a13d52d3da45be1d9560000000000000000000000000000000000bbf5c5fd284e657f01bd000933c96d000000000000000000000000000000000000000000000000000000000021844a0000000000000000000000000000000000000000000000000000000068bedb06000000000000000000000000000000000000000000000000000000000000001c4675562642981eb04e9858348310ff987d90c3a7ec562401c9fe6c1bc3911be127f10f1fcf57b7d4a68e094bf368ee328d6f1016ead6af2fdb40e4bad238e999",
      "bridge": {
        "protocolSelector": "0x21eaa4cd",
        "destinationChainId": 8453,
        "outputToken": "0x4200000000000000000000000000000000000006",
        "scalingFactor": 0,
        "protocolData": "0x000000000000000000000000924a9f036260ddd5808007e1aa95f08ed08aa5690000000000000000000000000000000000000000000000000000000afbbe917c"
      }
    },
    "partiallyFillable": false,
    "orderHash": "0xcdc9843d583ac27251090548f8c697f3a2dd3593282da26fcdca857acb743ecc",
    "chainId": 10,
    "partner": "paraswap.io",
    "expiresAt": "2025-09-05T14:32:51.000Z",
    "createdAt": "2025-09-05T13:33:14.493Z",
    "updatedAt": "2025-09-05T13:44:43.679Z",
    "includeAgents": null,
    "excludeAgents": null,
    "bridgeMetadata": {
      "depositId": 3383287,
      "fillDeadline": 1757090893,
      "outputAmount": "490189613478551",
      "fillTx": "0xe018e615c93abb6d16613d28a860476459c0d077559ac7699a18b1cc6b9f5bc5"
    },
    "bridgeStatus": "filled",
    "referrerAddress": null,
    "type": "MARKET",
    "transactions": [
      {
        "id": "37370696-5f9d-4c55-b1ad-8af4fc06bbe9",
        "hash": "0x9d68335c7350c9f70bfd67bb74240fa99eed8a5c335029a704720f8384627bfd",
        "blockNumber": 140740211,
        "blockHash": "0xaf50d44ca9473c7ceef1e1ddbc7afa9ec0694c3a3366913422cab498c9856d49",
        "gasUsed": 423252,
        "gasPrice": 1101096,
        "blobGasUsed": 0,
        "blobGasPrice": 0,
        "index": 5,
        "status": 1,
        "from": "0x2e5ef37ade8afb712b8be858fec7389fe32857e2",
        "to": "0x0000000000bbf5c5fd284e657f01bd000933c96d",
        "receivedAmount": "490236786721811",
        "receivedAmountUSD": 2.19,
        "spentAmount": "2196554",
        "spentAmountUSD": 2.2,
        "filledPercent": 10000,
        "protocolFee": "0",
        "partnerFee": "0",
        "agent": "laita",
        "orderId": "45545c6a-a657-48f3-b3ce-c3e9be2316d0",
        "bidId": "dd4b8cb4-ece4-4718-a133-fdc5045790b0"
      }
    ]
  }
]
```

{% endtab %}

{% tab title="400 Get Orders Error" %}

```
{
  "error": "Validation failed with error"
}
```

{% endtab %}
{% endtabs %}

#### Most common error messages

These are the two most common messages when using this endpoint.

* `ValidationError` - validation for params failed
* `UnsupportedChain` - the chain ID is not supported by Delta.

To avoid running into `ValidationError` and `UnsupportedChain` errors when using this endpoint, here are some recommendations:

#### **Avoiding `ValidationError`**

1. **Check Required Parameters**: Ensure all mandatory parameters are included in your request. Missing or incorrectly formatted fields often trigger this error.
2. **Validate Data Types**: Confirm that parameters match the expected types (e.g., numbers vs. strings, correct JSON structure).
3. **Follow API Documentation**: Double-check the expected format for each parameter in the official API documentation.

#### **Avoiding `UnsupportedChain`**

1. **Verify Supported Chains**: Check the API documentation or a dedicated "supported chains" endpoint to ensure the chain ID is compatible with Delta.
2. **Use Correct Chain IDs**: Some APIs require chain IDs in decimal format, while others expect hex. Ensure you’re using the correct format.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.velora.xyz/api/velora-api/velora-delta-api/track-delta-order-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
